com.aliyun.svideosdk.recorder

## Interface AliyunIClipManager

-     public interface AliyunIClipManager

  An interface that manages video clips during video recording.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAllPart()` Deletes all video clips.
    `void` | `deleteLastPart()` Deletes the latest video clip.
    `void` | `deletePart()` Deprecated.
    `void` | `deletePart(int index)` Deletes a video clip at an index position.
    `int` | `getDuration()` Gets the length of all video clips.
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` Gets the length of all video clips.
    `int` | `getMaxDuration()` Gets the maximum video recording time.
    `int` | `getMinDuration()` Gets the minimum video recording time.
    `int` | `getPartCount()` Gets the number of video clips.
    `java.util.List<java.lang.String>` | `getVideoPathList()` Gets the path of video clips in a list.
    `void` | `setMaxDuration(int maxDurationMs)` Sets the maximum video recording time.
    `void` | `setMinDuration(int minDurationMs)` Sets the minimum video recording time.

- - ### Method Detail

    - #### setMaxDuration

          void setMaxDuration(int maxDurationMs)

      Sets the maximum video recording time.
      Parameters:
        `maxDurationMs` - Unit: milliseconds.

    - #### setMinDuration

          void setMinDuration(int minDurationMs)

      Sets the minimum video recording time.
      Parameters:
        `minDurationMs` - Unit: milliseconds.

    - #### getDuration

          int getDuration()

      Gets the length of all video clips. Unit: milliseconds.
      Returns:
        The total length of all video clips.

    - #### getDuration

          long getDuration(java.util.concurrent.TimeUnit timeUnit)

      Gets the length of all video clips. Unit: milliseconds.
      Parameters:
        `timeUnit` - the return time unit
      Returns:
        The total length of all video clips.

    - #### getPartCount

          int getPartCount()

      Gets the number of video clips.
      Returns:
        The total number of video clips.

    - #### deletePart

          @Deprecated
          void deletePart()

      Deprecated.
      Deletes the latest video clip. Deprecated in v3.27.0，Use `deleteLastPart()` instead.

    - #### deleteLastPart

          void deleteLastPart()

      Deletes the latest video clip.

    - #### deletePart

          void deletePart(int index)

      Deletes a video clip at an index position.
      Parameters:
        `index` - The index of the video clip to be deleted.

    - #### deleteAllPart

          void deleteAllPart()

      Deletes all video clips.

    - #### getMaxDuration

          int getMaxDuration()

      Gets the maximum video recording time.
      Returns:
        The maximum video recording time. Unit: milliseconds.

    - #### getMinDuration

          int getMinDuration()

      Gets the minimum video recording time.
      Returns:
        The minimum video recording time. Unit: milliseconds.

    - #### getVideoPathList

          java.util.List<java.lang.String> getVideoPathList()

      Gets the path of video clips in a list.
      Returns:
        The path of video clips in a list.